<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<!-- Generated Apr 28, 2017 12:20:55 PM by Hibernate Tools 4.3.1 -->
<hibernate-mapping>
    <class name="sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper.EmailReceived" table="email_received" schema="public" optimistic-lock="version">
        <id name="id" type="java.lang.Long">
            <column name="id" />
            <generator class="sequence">
                <param name="sequence">email_received_id_seq</param>
            </generator>
        </id>
        <many-to-one name="emailForwardInSettings" class="sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper.EmailForwardInSettings" fetch="select">
            <column name="email_forward_in_id" />
        </many-to-one>
        <property name="sourceMailAddress" type="string">
            <column name="source_mail_address" />
        </property>
        <property name="subject" type="string">
            <column name="subject" />
        </property>
        <property name="data" type="string">
            <column name="data" />
        </property>
        <property name="createdAt" type="timestamp">
            <column name="created_at" length="29" />
        </property>
        <property name="emailId" type="string">
            <column name="email_id" />
        </property>
        <property name="emailThreadId" type="string">
            <column name="email_thread_id" />
        </property>
        <property name="emailSnippet" type="string">
            <column name="email_snippet" />
        </property>
        <property name="emailHistoryId" type="java.lang.Long">
            <column name="email_history_id" />
        </property>
        <property name="emailInternalDate" type="java.lang.Long">
            <column name="email_internal_date" />
        </property>
        <property name="emailReceivedStatusType" type="string">
            <column name="email_received_status_type" />
        </property>
        <set name="temporarySmsStorages" table="temporary_sms_storage" inverse="true" lazy="true" fetch="select">
            <key>
                <column name="email_received_id" />
            </key>
            <one-to-many class="sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper.TemporarySmsStorage" />
        </set>
        <set name="smsSents" table="sms_sent" inverse="true" lazy="true" fetch="select">
            <key>
                <column name="response_for_received_email_id" />
            </key>
            <one-to-many class="sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper.SmsSent" />
        </set>
    </class>
</hibernate-mapping>
